#include <string>
#include <list>
#include <map>
#include <algorithm>

using namespace std;

typedef map<const string, int> Table;

struct WordCounts
{
  string word;
  unsigned count;

  WordCounts(): count(0)  {}

  WordCounts (string w, unsigned c) : word(w), count(c) {}

  bool operator< (const WordCounts& wc)
  {
    if (count > wc.count)
      return true;
    else if (count == wc.count)
        return (word < wc.word);
     	else
        return false;
  }
};

typedef list<WordCounts> Concordance;

int main ()
{
  const char UpperToLower = 'a' - 'A';
  Table words;

  while (cin)
  {
    string w;
    char c;
    do
	  {
	    cin.get(c);
	    if ((c >= 'A') && (c <= 'Z'))
	      c += UpperToLower;
	    if ((c >= 'a') && (c <= 'z'))
	      w += c;
	  }
	  while ((cin) && ((c >= 'a') && (c <= 'z')));

    if (w.size() > 0)
	    words[w]++;
  }
  Concordance concord;
  for (map<const string, int>::iterator i = words.begin(); i != words.end(); i++)
  {
    WordCounts wc((*i).first, (*i).second);
    concord.push_back(wc);
  }
  concord.sort ();  //sort concord into descending order by count;
  for (list<WordCounts>::iterator i = concord.begin(); i != concord.end(); i++)
  {
    cout << i->word << ' ' << i->count << endl;
  }
  return 0;
}
